Bug 603460 - [abrt] crash in lilypond-2.12.3-1.fc13: convert-ly:162:version_cmp:IndexError: tuple index out of range
[abrt] crash in lilypond-2.12.3-1.fc13: convert-ly:162:version_cmp:IndexError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: lilypond (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Gwyn Ciesla
Fedora Extras Quality Assurance
abrt_hash:692319a8
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-13 05:51 EDT by Per Arnold Blåsmo
Modified: 2011-06-27 14:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:06:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (899 bytes, text/plain)
2010-06-13 05:51 EDT, Per Arnold Blåsmo
no flags Details

  None (edit)
Description Per Arnold Blåsmo 2010-06-13 05:51:40 EDT
abrt 1.1.1 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/convert-ly -e /home/pablaasmo/.denemo/denemoprint_.ly
comment: I was trying to do a direct print from program 'Denemo'. 
component: lilypond
executable: /usr/bin/convert-ly
kernel: 2.6.34-20.fc14.i686.PAE
package: lilypond-2.12.3-1.fc13
reason: convert-ly:162:version_cmp:IndexError: tuple index out of range
release: Fedora release 13 (Goddard)

backtrace
-----
convert-ly:162:version_cmp:IndexError: tuple index out of range

Traceback (most recent call last):
  File "/usr/bin/convert-ly", line 326, in <module>
    main ()
  File "/usr/bin/convert-ly", line 320, in main
    do_one_file (f)
  File "/usr/bin/convert-ly", line 248, in do_one_file
    (last, result) = do_conversion (input, from_version, to_version)
  File "/usr/bin/convert-ly", line 184, in do_conversion
    conv_list = get_conversions (from_version, to_version)
  File "/usr/bin/convert-ly", line 169, in get_conversions
    return filter (is_applicable, convertrules.conversions)
  File "/usr/bin/convert-ly", line 168, in is_applicable
    return version_cmp (v[0], f) > 0 and version_cmp (v[0], t) <= 0
  File "/usr/bin/convert-ly", line 162, in version_cmp
    if t1[x] - t2[x]:
IndexError: tuple index out of range

Local variables in innermost frame:
x: 2
t2: (2, 12)
t1: (2, 12, 0)
Comment 1 Per Arnold Blåsmo 2010-06-13 05:51:43 EDT
Created attachment 423608 [details]
File: backtrace
Comment 2 Bug Zapper 2011-06-02 07:04:42 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2011-06-27 14:06:53 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.